# MSP::CCS::Ellipsoid Class Reference

`#include <Ellipsoid.h>`

List of all members.

## Public Member Functions

| Ellipsoid ()
| Ellipsoid (long __index, char *__code, char *__name, double __semiMajorAxis, double __semiMinorAxis, double __flattening, double __eccentricitySquared, bool __userDefined)
| ~Ellipsoid (void)
long | index () const
char * | code () const
char * | name () const
double | semiMajorAxis () const
double | semiMinorAxis () const
double | flattening () const
double | eccentricitySquared () const
bool | userDefined () const

## Detailed Description

Definition at line 12 of file Ellipsoid.h.

## Constructor & Destructor Documentation

Ellipsoid::Ellipsoid | ( |  | ) |

Definition at line 22 of file Ellipsoid.cpp.

Ellipsoid::Ellipsoid | ( | long | __index,
|  | char * | __code,
|  | char * | __name,
|  | double | __semiMajorAxis,
|  | double | __semiMinorAxis,
|  | double | __flattening,
|  | double | __eccentricitySquared,
|  | bool | __userDefined |
| ) |  |  |

Definition at line 36 of file Ellipsoid.cpp.

Ellipsoid::~Ellipsoid | ( | void |  | ) |

Definition at line 52 of file Ellipsoid.cpp.

## Member Function Documentation

char * Ellipsoid::code | ( |  | ) | const

Definition at line 68 of file Ellipsoid.cpp.

double Ellipsoid::eccentricitySquared | ( |  | ) | const

Definition at line 98 of file Ellipsoid.cpp.

double Ellipsoid::flattening | ( |  | ) | const

Definition at line 92 of file Ellipsoid.cpp.

long Ellipsoid::index | ( |  | ) | const

Definition at line 62 of file Ellipsoid.cpp.

char * Ellipsoid::name | ( |  | ) | const

Definition at line 74 of file Ellipsoid.cpp.

double Ellipsoid::semiMajorAxis | ( |  | ) | const

Definition at line 80 of file Ellipsoid.cpp.

double Ellipsoid::semiMinorAxis | ( |  | ) | const

Definition at line 86 of file Ellipsoid.cpp.

bool Ellipsoid::userDefined | ( |  | ) | const

Definition at line 104 of file Ellipsoid.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/ellipse/Ellipsoid.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/ellipse/Ellipsoid.cpp